org.apache.ignite.cluster

## Interface BaselineNode

All Known Subinterfaces:
  ClusterNode, IgniteClusterNode

All Known Implementing Classes:
  DetachedClusterNode, IsolatedNode, TcpDiscoveryNode

    public interface BaselineNode

Interface representing a single node from baseline topology.

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `attribute(String name)` Gets a node attribute.
`Map<String,Object>` `attributes()` Gets all node attributes.
`Object` `consistentId()` Gets consistent globally unique node ID.

### Method Detail

#### consistentId

    Object consistentId()

Gets consistent globally unique node ID. This method returns consistent node ID which survives node restarts.

Returns:
  Consistent globally unique node ID.

#### attribute

    @Nullable
    <T> T attribute(String name)

Gets a node attribute. Attributes are assigned to nodes at startup via `IgniteConfiguration.getUserAttributes()` method.

The system adds the following attributes automatically:

- `{@link System#getProperties()}` - All system properties.
- `{@link System#getenv(String)}` - All environment properties.
- All attributes defined in `IgniteNodeAttributes`

Note that attributes cannot be changed at runtime.

Type Parameters:
  `T` - Attribute Type.
Parameters:
  `name` - Attribute name. Note that attribute names starting with `org.apache.ignite` are reserved for internal use.
Returns:
  Attribute value or `null`.

#### attributes

    Map<String,Object> attributes()

Gets all node attributes. Attributes are assigned to nodes at startup via `IgniteConfiguration.getUserAttributes()` method.

The system adds the following attributes automatically:

- `{@link System#getProperties()}` - All system properties.
- `{@link System#getenv(String)}` - All environment properties.
- All attributes defined in `IgniteNodeAttributes`

Note that attributes cannot be changed at runtime.

Returns:
  All node attributes.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021